BSON_VECTOR_PACKED_BIT_CONST_VIEW_LENGTH_BYTES(3)

Return the number of packed bytes in a Vector referenced by a bson_vector_packed_bit_const_view_t <>.

SYNOPSIS

            size_t
            bson_vector_packed_bit_const_view_length_bytes (bson_vector_packed_bit_const_view_t view);

PARAMETERS

    •   view: A valid bson_vector_packed_bit_const_view_t <>.

DESCRIPTION

A byte count is calculated from the view's stored binary block length. If the element count isn't a multiple of 8, the final byte will include bits that do not belong to any element.

RETURNS

The number of bytes, as a size_t.

See also:
        bson_vector_packed_bit_view_length_bytes() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.